\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0.45) rectangle (-0.5,5.55);
\fill[line width=1.5pt,color=A3,fill=A3,fill opacity=1] (-2,5) -- (-2,1) -- (-6,1) -- (-6,5) -- cycle;
\fill[line width=1.5pt,color=A3,fill=A3,fill opacity=1](-2,5) arc(0:180:2cm and 0.5cm);
\fill [line width=1.5pt,color=A3,fill=A3,fill opacity=1](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt](-2,5) arc(0:360:2cm and 0.5cm);
\draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt] (-6,5)-- (-6,1);
\draw [line width=1.5pt] (-2,5)-- (-2,1);

\end{tikzpicture}
\end{document}